Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.google.appengine.api.memcache
Enum MemcacheService.SetPolicy

    java.lang.Object
      java.lang.Enum<MemcacheService.SetPolicy>
          com.google.appengine.api.memcache.MemcacheService.SetPolicy

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MemcacheService.SetPolicy>

Enclosing interface:
  MemcacheService

    public static enum MemcacheService.SetPolicy

extends java.lang.Enum<MemcacheService.SetPolicy>

Cache replacement strategies for `MemcacheService.put(java.lang.Object, java.lang.Object, com.google.appengine.api.memcache.Expiration, com.google.appengine.api.memcache.MemcacheService.SetPolicy)` operations, indicating how to handle putting a value that already exists.

Enum Constant Summary
`ADD_ONLY_IF_NOT_PRESENT` An additive-only strategy, useful to avoid race conditions.
`REPLACE_ONLY_IF_PRESENT` A replace-only strategy.
`SET_ALWAYS` Always stores the new value.

Method Summary
`static MemcacheService.SetPolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MemcacheService.SetPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SET_ALWAYS

    public static final MemcacheService.SetPolicy SET_ALWAYS

  Always stores the new value. If an existing value was stored with the given key, it will be discarded and replaced.

### ADD_ONLY_IF_NOT_PRESENT

    public static final MemcacheService.SetPolicy ADD_ONLY_IF_NOT_PRESENT

  An additive-only strategy, useful to avoid race conditions.

### REPLACE_ONLY_IF_PRESENT

    public static final MemcacheService.SetPolicy REPLACE_ONLY_IF_PRESENT

  A replace-only strategy.

Method Detail

### values

    public static MemcacheService.SetPolicy[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MemcacheService.SetPolicy c : MemcacheService.SetPolicy.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MemcacheService.SetPolicy valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD